Bug 1410892 - missing translate **config.multiple.channels** on page /rhn/configuration/system/TargetSystemsSubmit.do
Summary: missing translate **config.multiple.channels** on page /rhn/configuration/sys...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 580
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks: sat580-low
TreeView+ depends on / blocked
 
Reported: 2017-01-06 17:55 UTC by Pavel Studeník
Modified: 2017-06-21 12:05 UTC (History)
2 users (show)

Fixed In Version: spacewalk-java-2.5.14-45-sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 12:05:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Studeník 2017-01-06 17:55:40 UTC
Description of problem:
I tried to enable configuration management for systems and I received message without translation when I clicked on button:

"Enable Red Hat Satellite Configuration Management"

on page /rhn/configuration/system/TargetSystemsSubmit.do

The message looks as follows "**config.multiple.channels**"

Version-Release number of selected component (if applicable):
spacewalk-java-2.5.14-40.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1. go to  Configuration Overview 
2. click on Enable Configuration Management on Systems 
3. choose systems and click on button Enable Configuration Management on Systems 

Actual results:
**config.multiple.channels**

Expected results:
some meaningful message

Comment 1 Grant Gainey 2017-01-06 18:06:32 UTC
Well this is exciting - it's in spacewalk, and it's in all of the localization files in SATELLITE-5.8, *except for* code/src/com/redhat/rhn/frontend/strings/java/StringResource_en_US.xml.

Comment 2 Grant Gainey 2017-01-06 18:22:09 UTC
Comparing against spacewalk-master, that was removed in 2013 by commit 5f0d5e51, and restored in 2014 by commit 939faccd - feels like something got applied out of order, somehow.

Anyway, this tag needs to be restored:

===
       <trans-unit id="config.multiple.channels">
         <source>A selected system has multiple child channels available that contain the rhncfg package. You must manually subscribe to the child channel you want and then try this action again.</source>
         <context-group name="ctx">
           <context context-type="sourcefile">/rhn/configuration/system/TargetSystemsSubmit.do</context>
         </context-group>]
       </trans-unit>
===

I'll get it added back in post-beta.

Comment 5 Lukáš Hellebrandt 2017-04-19 11:52:44 UTC
Verified with spacewalk-java-2.5.14-71 .

Accessing the page now shows the correct error message and does not produce any traceback. Note, to reproduce this bug (where it is still present), the system you are enabling config management on must:

1) Be registered to a base channel that has at least two child channels containing rhncfg package
2) Not be registered to any of these child channels


Note You need to log in before you can comment on or make changes to this bug.